<?xml version="1.0" encoding="utf-8"?>

<File Version="1.0">

	<ExtensionPoint ID="CascadeStyleSheet" Enable="1">
		<Plugin ID="GM::MouseFunctionDialog" Bundle="..\CSS.dll" Enable="1">
			<ExtraConfig>
				<Item Name="Default" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="" BGImage="Image\GM\Theme1\DialogCommon.png" SizeToImage="1"/>
				<Item Name="CheckBox" Width="59" Height="16" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_AUTOCHECKBOX" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="TextEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="NumberEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="ListBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | LBS_NOTIFY | LBS_NOINTEGRALHEIGHT" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="16" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="Label" Width="29" Height="16" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_CENTER" StyleEx="" FontName="" FontHeight="16" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="" BGTrans="1"/>
				<Item Name="SliderCtrl" Width="150" Height="24" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | TBS_HORZ | TBS_BOTH | TBS_NOTICKS" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ImageBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
				<Item Name="ImageList" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTWindowPrototype" Enable="1">
		<Plugin ID="GM::MouseFunctionDialog" Bundle="..\CWT.dll" Enable="1">
			<Collaboration ExtensionPointID="CascadeStyleSheet" PluginID="GM::MouseFunctionDialog"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GM::MouseFunctionDialog"/>
			<ExtraConfig>
				<FreeLayout>
					<!--Title Bar-->
					<Label X="20" Y="7" Width="200" FontHeight="20" Text="滑鼠功能" ID="GM::ID_MOUFUC_TiltleLabel" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
					<ImageList X="455" Y="9" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_MOUFUC_Close">
						<Image File="Image\GM\Theme1\button_close_normal.png"/>
						<Image File="Image\GM\Theme1\button_close_over.png"/>
					</ImageList>
					
					<!--right bottom corner-->
					<VirtualBox X="80" Y="244" Width="370" Height="35">
						<ColumnLayout ColSpace="40">
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_MOUFUC_OK">
								<Image File="Image\GM\Theme1\button_okcancel_normal.png"/>
								<Image File="Image\GM\Theme1\button_okcancel_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_MOUFUC_Cancel">
								<Image File="Image\GM\Theme1\button_okcancel_normal.png"/>
								<Image File="Image\GM\Theme1\button_okcancel_over.png"/>
							</ImageList>
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox X="80" Y="244" Width="370" Height="35"> <!--the same rect to image-->
						<ColumnLayout ColSpace="40" ColWidth="equal" ColAlignV="center">
							<Label Text="確定" FontHeight="20" FGColor="#fd9f00" ID="GM::ID_MOUFUC_OKLabel"/>
							<Label Text="取消" FontHeight="20" FGColor="#fd9f00" ID="GM::ID_MOUFUC_CancelLabel"/>
						</ColumnLayout>
					</VirtualBox>
					
					<!--combobox selection-->
					<ImageBox X="47" Y="95" Style="WS_CHILD | WS_VISIBLE" SizeToImage="1" ID="GM::ID_MOUFUC_Fuc_ComboBox" File="Image\GM\Theme1\common_combo_big.png"/>
					<Label X="47" Y="70" Width="200" BGTrans="0" Text="請從列表中選取滑鼠功能" ID="GM::ID_MOUFUC_SettingLabel" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
					<Label X="47" Y="95" Width="390" Height="29" BGTrans="0" ID="GM::ID_MOUFUC_Fuc"/>
					<VirtualBox X="47" Y="95" Width="390" Height="29">
						<ColumnLayout ColAlignV="center" ColWidth="390">
							<Label BGTrans="0" Text="左键" ID="GM::ID_MOUFUC_FucLabel"/>
						</ColumnLayout>
					</VirtualBox>

					<!--invisible-->
					<ListBox X="46" Y="125" Width="392" Height="120" Visible="0" ID="GM::ID_MOUFUC_FucSelect" TrackMouse="1">
						<Item>左鍵</Item>
						<Item>右鍵</Item>
						<Item>中鍵</Item>
						<Item>5Key</Item>
						<Item>4Key</Item>						
						<Item>向上滾動</Item>
						<Item>向下滾動</Item>
						<Item>DPI+</Item>
						<Item>DPI-</Item>
						<Item>DPI Loop+</Item>
						<Item>DPI Loop-</Item>
					</ListBox>

				</FreeLayout>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTEventListener" Enable="1">
		<Plugin ID="GM::MouseFunctionDialog" Bundle="GamingMouseMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbAppSetting" PluginID="GamingMouse"/>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbDialogInvoker" Enable="1">
		<Plugin ID="GM::MouseFunctionDialog" Bundle="..\DialogInvoker.dll" Enable="1">
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::MouseFunctionDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvokerExt" PluginID="GM::MouseFunctionDialog"/>
			<ExtraConfig>
				<Title>Mouse Fuction</Title>
				<Size Width="400" Height="300" Resize="0" NoFrame="1"/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>
	
	<ExtensionPoint ID="I_PbDialogInvokerExt" Enable="1">
		<Plugin ID="GM::MouseFunctionDialog" Bundle="GamingMouseMain.dll" Enable="1">
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbSkinTextColor" PluginID="GM::MouseFunctionDialog"/>
			<Collaboration ExtensionPointID="I_PbSkinLanguage" PluginID="GM::MouseFunctionDialog"/>
		</Plugin>
	</ExtensionPoint>
</File>
